Bug 443709 - Files present in /srv
Summary: Files present in /srv
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plague
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Blocker, F10FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2008-04-22 22:25 UTC by Ignacio Vazquez-Abrams
Modified: 2008-09-03 12:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-03 12:31:57 UTC


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2008-04-22 22:25:17 UTC
This package contains files in /srv, which according to a recent packaging
guideline change is no longer allowed.

http://fedoraproject.org/wiki/Packaging/Guidelines#NoFilesOrDirectoriesUnderSrv

Please ensure that the files are placed elsewhere.

Comment 1 Bug Zapper 2008-05-14 09:58:53 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Michael Schwendt 2008-06-14 11:45:22 UTC
Fun stuff. The directory in /srv is plague-builder user's home
directory. If moved, it would break upgrades (because this path
is in /etc/passwd already) and require admins to fix it manually.
Trying to work around it with usermod -m -d ... in rpm scriptlets
would be fragile, too (and bears the risk of modifying /etc/passwd
where that is not wanted).

Just in case, in plague cvs 0.4.5-branch it's been moved to
/var/lib/plague/builder.



Note You need to log in before you can comment on or make changes to this bug.